// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 多项奖励配置
    /// </summary>
    public sealed class MutilAward : ISerializable
    {
        public int AwardNo { get; private set; }
        public Award[] Awards { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            AwardNo = reader.ReadInt();
            Awards = reader.ReadEnumerable<Award[]>();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(AwardNo);
            writer.Write(Awards);
        }
    }
}
